Ingres II Functions
MaxDB
Ingres II Functions
PHP Manual

# ingres_rollback

(PHP 4 >= 4.0.2, PHP 5 <= 5.0.5, PECL ingres:1.0-1.4.3)

ingres_rollback — Roll back a transaction

### Description

bool ingres_rollback ([ resource `$link` ] )

ingres_rollback() rolls back the currently open transaction, actually canceling all changes made to the database during the transaction.

This closes the transaction. A new one can be open by sending a query with ingres_query().

### Parameters

`link`

  The connection link identifier. If not specified, the last opened link is used.

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### See Also

- ingres_query()
- ingres_commit()
- ingres_autocommit()

Ingres II Functions
MaxDB
Ingres II Functions
PHP Manual